#!/bin/sh
SUP_STATE=/opt/CC500/firstdlg/controlpan/networkselect/wireless/supState.txt
wlanx=$(/sbin/ifconfig -a |grep wlan | awk '{print $1}')
tmpStr=`wpa_cli -i"$wlanx" status | grep wpa_state=`

isConnected() {
  wlanIP="`ifconfig  | grep -A 1 wlan | grep 'inet addr:' | cut -d: -f2 | awk '{ print $1}'`" 
  if [ "$wlanIP" = "" ];then
    echo "FALSE"
  else
    echo "TRUE"
  fi
}

###########################################################################
#wpa_state maybe follow one: 
#WPA_DISCONNECTED, WPA_INACTIVE, WPA_SCANNING, WPA_AUTHENTICATING,
#WPA_ASSOCIATING, WPA_ASSOCIATED, WPA_4WAY_HANDSHAKE, WPA_GROUP_HANDSHAKE,
#WPA_COMPLETED, or NULL(wpa_supplicant is not running)
state="${tmpStr#*=}"
if [ "$state" != "COMPLETED" ];then
  echo $state > ${SUP_STATE}
  return
fi
if [ "$state" = "COMPLETED" ] && [ "$(isConnected)" = "FALSE" ];then
  echo "OBTAINING IP" > ${SUP_STATE}
  return
fi
if [ "$state" = "COMPLETED" ] && [ "$(isConnected)" = "TRUE" ];then
  echo "CONNECTED" > ${SUP_STATE}
  return
fi

