#!/bin/sh

WPA_CONF=/opt/data/wifi/wpa_supplicant.conf
WIFIUSR=$(sed -n 1p /opt/data/wifi/wifiinfo.usr | tr -d "\n")
WIFIPASS=$(sed -n 2p /opt/data/wifi/wifiinfo.usr  | tr -d "\n")
WIFIENCRYPTION=$(sed -n 3p /opt/data/wifi/wifiinfo.usr | tr -d "\n")

echo "ctrl_interface=/var/run/wpa_supplicant" > ${WPA_CONF}
echo " " >> ${WPA_CONF}

if [ "${WIFIENCRYPTION}" = "WPA" ]; then
  wpa_passphrase "$WIFIUSR" "$WIFIPASS" >> ${WPA_CONF}
fi

if [ "${WIFIENCRYPTION}" = "ESS" ]; then
  echo "network={"                      >> ${WPA_CONF}
  echo "        ssid=\"${WIFIUSR}\""    >> ${WPA_CONF}
  echo "        key_mgmt=NONE"          >> ${WPA_CONF}
  echo "}"                              >> ${WPA_CONF}
fi

if [ "${WIFIENCRYPTION}" = "WEP" ]; then
  ###for WEP mode, now not support
  echo "WEP NOT SUPPORT"
  #echo "network={"                      >> ${WPA_CONF}
  #echo "        ssid=\"${WIFIUSR}\""    >> ${WPA_CONF}
  #echo "        key_mgmt=NONE"          >> ${WPA_CONF}
  #echo "        wep_tx_keyidx=0"        >> ${WPA_CONF}
  #echo "        wep_key0=\"$WIFIPASS\"" >> ${WPA_CONF}
  #echo "}"                              >> ${WPA_CONF}
fi
