#!/bin/bash
USBFLAG=$(sed -n 1p /opt/CC500/firstdlg/USBflag.txt | tr -d "\n")
if [ ${USBFLAG} = "0" ];then
	echo "USB mount forbid"
else

	FSTYPE=`/home/mybin/fsType.exe /dev/$1`
	if [ "${FSTYPE}" = "NTFS" ]
	then
		mkdir -p /media/$1
		echo /media/$1 > /opt/CC500/firstdlg/mount.txt
		/usr/bin/ntfs-3g /dev/$1 /media/$1

	elif [ "${FSTYPE}" = "FAT32" ]
	then
		mkdir -p /media/$1
		echo /media/$1 > /opt/CC500/firstdlg/mount.txt
		/bin/mount -t vfat -o iocharset=utf8 /dev/$1 /media/$1

	elif [ "${FSTYPE}" = "EXFAT" ]
        then
                mkdir -p /media/$1
                echo /media/$1 > /opt/CC500/firstdlg/mount.txt
                /home/RemoteFx/mount.exfat-fuse /dev/$1 /media/$1

	elif [ "${FSTYPE}" = "FAT16" ]
	then
		mkdir -p /media/$1
		echo /media/$1 > /opt/CC500/firstdlg/mount.txt
		/bin/mount -t vfat -o iocharset=utf8 /dev/$1 /media/$1

	fi
fi

