#!/bin/bash
export PATH=${PATH}:/home/mybin/:/opt/spice/bin
export HOME=/
#export LD_LIBRARY_PATH=/home/freerdp/freerdp_master/lib:/home/freerdp/freerdp_master/lib/freerdp:/home/freerdp/rdp/lib:/home/freerdp/rk_jpeg/vpu_linux_dec_enc_user/sharelib
export LD_LIBRARY_PATH=/home/freerdp/rdp/lib:/home/freerdp/rk_jpeg/vpu_linux_dec_enc_user/sharelib:/opt/spice/lib/pulse-6.0:/opt/spice/lib:/opt/spice/lib/pulseaudio

#ps -ef | grep pulseaudio |grep -v grep
#if [ $? -ne 0 ]	;then
#	echo "start pulseaudio daemon process....."  
#	start-stop-daemon -x /opt/spice/bin/pulseaudio --start -- --disallow-exit  --daemonize  --high-priority
#else
#	echo "pulseaudio daemon running....." 
#fi

/home/mybin/process.sh stop rk3188ui
sleep 1s
#echo "0" > /opt/data/common/startlogo.txt 
DATA_PATH=/opt/data
#get user info
USERIP=$(sed -n 1p ${DATA_PATH}/common/userinfo.txt | tr -d "\n")
USERNAME=$(sed -n 2p ${DATA_PATH}/common/userinfo.txt | tr -d "\n")
PASSWORD=$(sed -n 3p ${DATA_PATH}/common/userinfo.txt | tr -d "\n")
USERPORT=$(sed -n 4p ${DATA_PATH}/common/userinfo.txt | tr -d "\n")
JDISPFLAG=$(sed -n 5p ${DATA_PATH}/common/userinfo.txt | tr -d "\n")
USERYU=$(sed -n 6p ${DATA_PATH}/common/userinfo.txt | tr -d "\n")
ALSA_FS_FLAG=$(sed -n 1p ${DATA_PATH}/common/alsa_fs_flag.txt | tr -d "\n")
#get display info
DISP=$(sed -n 1p ${DATA_PATH}/common/display.txt | tr -d "\n")
FRATE=$(sed -n 2p ${DATA_PATH}/common/display.txt | tr -d "\n")
COLORDEPTH=$(sed -n 3p ${DATA_PATH}/common/display.txt | tr -d "\n")

#mute flags
UMUTE=$(sed -n 1p ${DATA_PATH}/common/alsa.txt | tr -d "\n")

#keyboard
KEYBOARD=$(sed -n 1p ${DATA_PATH}/common/keyboard.txt | tr -d "\n")

#language
LANGUAGE=$(sed -n 1p ${DATA_PATH}/common/language.txt | tr -d "\n")

#system setting
BOOL_USB=$(sed -n 1p ${DATA_PATH}/common/usb_flag.txt | tr -d "\n")
BOOL_RECONNECT=$(sed -n 1p ${DATA_PATH}/common/reconnect_flag.txt | tr -d "\n")
BOOL_MULT=$(sed -n 1p ${DATA_PATH}/rdp/multimedia_flag.txt | tr -d "\n")
BOOT_BACKGROUND=$(sed -n 1p ${DATA_PATH}/common/background.txt | tr -d "\n")

#for reconnect
MAX_RECONNECT=$(sed -n 1p ${DATA_PATH}/common/reconnect_count.txt | tr -d "\n")
CUR_RECONNECT=0

#USB_MODE=$(sed -n 1p ${DATA_PATH}/common/usb_flag.txt | tr -d "\n")


export USERIP
export USERNAME
export PASSWORD
export DISP
export COLORDEPTH
#Invisible setting

#check server
/opt/CC500/firstdlg/checkserver.sh
echo $JDISPFLAG > ${DATA_PATH}/common/connectType.txt
echo 0 > ${DATA_PATH}/common/rdpReturnFlag.txt

#if Anonymous login
if [ ${UMUTE} = "1" ]; then
ALSA="/sound:sys:alsa /microphone:sys:alsa"
else
ALSA=""
fi


if [ ${BOOL_USB} = "1" ]; then
#USB="/drive:home,/media"
USB=""
/home/mybin/redirection_on &
else
/home/mybin/getUsbName.sh
USBNAME=$(sed -n 1p /a.txt | tr -d "\n")
USB="/drive:${USBNAME},/media"
rm /a.txt -rf
fi	

if [ ${BOOL_MULT} = "1" ]; then
MULT="/multimedia:decoder:ffmpeg"
else
MULT=""
fi

if [ ${BOOT_BACKGROUND} = "0" ]; then
BG="-wallpaper"
else
BG=""
fi


sync
#set resoultion
RFILE=/sys/class/graphics/fb0/screen_info
XRES=$(sed -n 1p ${RFILE} | tr -d "\n")
XRES=${XRES##*:}

YRES=$(sed -n 2p ${RFILE} | tr -d "\n")
YRES=${YRES##*:}
VYRES=$[YRES*2]

PIC_DIGITS=$(sed -n 1p /opt/CC500/firstdlg/picDigits.txt |tr -d "\n")

#/usr/bin/fbset -fb /dev/fb2 -g ${XRES} ${YRES} ${XRES} ${VYRES} ${PIC_DIGITS}
#/usr/bin/fbset -fb /dev/fb0 -g ${XRES} ${YRES} ${XRES} ${VYRES} ${PIC_DIGITS}
FIRST_RUN=YES
#start funtion
Xorg_on &
export DISPLAY=:0.0
#CONST_CMD="/f -sec-tls -sec-nla /rfx /gdi:sw"
CONST_CMD="/f -sec-tls -sec-nla ${BG} -bitmap-cache -offscreen-cache -glyph-cache /jpeg /jpeg-quality:80 "
#MEDIARE="/multimedia:sys:alsa,decoder:ffmpeg"
#ALSA="/sound:sys:alsa,format:1,quality:high /microphone:sys:alsa,format:1,quality:high"
MEDIARE="/multimedia:sys:pulse,decoder:ffmpeg"
ALSA="/sound:sys:pulse"
while [ "${FIRST_RUN}" = "YES" -o "${BOOL_RECONNECT}" = "1" -a "${RDP_EXIT_REASON}" = "-1" -a "${CUR_RECONNECT}" -le "${MAX_RECONNECT}" ]
do
	rm /run/user/rdp_status.txt
#########	paint waitting image ##############
	sleep 1	#wait for turn to the right VT
	#/home/mybin/paint /home/mybin/waitting.bmp 32
	#sleep 2	#delay for show bmp
	
	FoodNet &
#########	start rdp	     ##############
#	/home/RemoteFx/z.exe $USERIP $USERPORT $USERNAME $PASSWORD > /dev/ttyFIQ0
        /home/RemoteFx/fb0set.exe 888
        #/home/RemoteFx/z.exe $USERIP $USERPORT $USERNAME $PASSWORD > /dev/ttyFIQ0
        /home/RemoteFx/fb0set.exe 8888
#	/home/RemoteFx/Rfx-install/bin/xfreerdp /sec:rdp +fonts /v:$USERIP  /u:$USERNAME /p:$PASSWORD /f /rfx ${ALSA}  ${MEDIARE}  > /dev/ttyFIQ0  2>&1
	echo "stop..............................................................." 
#########	cal data	     ##############
	FIRST_RUN=NO
	RDP_EXIT_REASON=$(sed -n 1p /run/user/rdp_exit_reason.txt | tr -d "\n")
	CUR_RECONNECT=`expr $CUR_RECONNECT + 1`
	/home/mybin/FoodNet_off
done
#echo 1 > /sys/class/graphics/fb0/blank
#echo 1 > /sys/class/graphics/fb2/blank
Xorg_off

#if [ ${ALSA_FS_FLAG} = "0" ]; then
#	echo 1 > /opt/data/common/alsa_fs_flag.txt
#	cp /home/freerdp/rdp/depend_pack/alsa/share/alsa/alsa48k.conf /home/freerdp/rdp/depend_pack/alsa/share/alsa/alsa.conf 
#else
#	echo 0 > /opt/data/common/alsa_fs_flag.txt
#	cp /home/freerdp/rdp/depend_pack/alsa/share/alsa/alsa44k.conf /home/freerdp/rdp/depend_pack/alsa/share/alsa/alsa.conf
#fi

if [ ${BOOL_USB} = "1" ]; then
/home/mybin/redirection_off
fi
sync
