#!/bin/bash
export PATH=${PATH}:/home/mybin/:/opt/spice/bin
export HOME=/
export LD_LIBRARY_PATH=/home/freerdp/rdp/lib:/home/freerdp/rk_jpeg/vpu_linux_dec_enc_user/sharelib:/opt/spice/lib/pulse-6.0:/opt/spice/lib:/opt/spice/lib/pulseaudio:/home/X11R6/lib

#switch for old rdp xp/server2003/server2008
OLDRDP=$(sed -n 1p /opt/CC500/firstdlg/systemflag.txt | tr -d "\n")
if [ ${OLDRDP} = "1" ]; then
	ps -ef | grep pulseaudio |grep -v grep
	if [ $? -ne 0 ]	;then
		echo "start pulseaudio daemon process....."  
#		start-stop-daemon -x /opt/spice/bin/pulseaudio --start -- --disallow-exit  --daemonize  --high-priority
	else
		echo "pulseaudio daemon running....." 
	fi
fi

/home/mybin/process.sh stop rk3188ui
sleep 1s
echo "0" > /opt/data/common/startlogo.txt 
DATA_PATH=/opt/data
#get user info
USERIP=$(sed -n 1p ${DATA_PATH}/common/userinfo.txt | tr -d "\n")
USERNAME=$(sed -n 2p ${DATA_PATH}/common/userinfo.txt | tr -d "\n")
PASSWORD=$(sed -n 3p ${DATA_PATH}/common/userinfo.txt | tr -d "\n")
USERPORT=$(sed -n 4p ${DATA_PATH}/common/userinfo.txt | tr -d "\n")
JDISPFLAG=$(sed -n 5p ${DATA_PATH}/common/userinfo.txt | tr -d "\n")
USERYU=$(sed -n 6p ${DATA_PATH}/common/userinfo.txt | tr -d "\n")
#ALSA_FS_FLAG=$(sed -n 1p ${DATA_PATH}/common/alsa_fs_flag.txt | tr -d "\n")
C_NAME=$(sed -n 1p /etc/hostname | tr -d "\n")
#get display info
DISP=$(sed -n 1p ${DATA_PATH}/common/display.txt | tr -d "\n")
FRATE=$(sed -n 2p ${DATA_PATH}/common/display.txt | tr -d "\n")
COLORDEPTH=$(sed -n 3p ${DATA_PATH}/common/display.txt | tr -d "\n")
#mute flags
UMUTE=$(sed -n 1p ${DATA_PATH}/common/alsa.txt | tr -d "\n")

#keyboard
KEYBOARD=$(sed -n 1p ${DATA_PATH}/common/keyboard.txt | tr -d "\n")

#language
LANGUAGE=$(sed -n 1p ${DATA_PATH}/common/language.txt | tr -d "\n")

#system setting
BOOL_USB=$(sed -n 1p ${DATA_PATH}/common/usb_flag.txt | tr -d "\n")
BOOL_RECONNECT=$(sed -n 1p ${DATA_PATH}/common/reconnect_flag.txt | tr -d "\n")
BOOL_MULT=$(sed -n 1p ${DATA_PATH}/rdp/multimedia_flag.txt | tr -d "\n")
BOOT_BACKGROUND=$(sed -n 1p ${DATA_PATH}/common/background.txt | tr -d "\n")

#for reconnect
MAX_RECONNECT=$(sed -n 1p ${DATA_PATH}/common/reconnect_count.txt | tr -d "\n")
CUR_RECONNECT=0

#USB_MODE=$(sed -n 1p ${DATA_PATH}/common/usb_flag.txt | tr -d "\n")


export USERIP
export USERNAME
export PASSWORD
export DISP
export COLORDEPTH
#Invisible setting

#check server
/opt/CC500/firstdlg/checkserver.sh
echo $JDISPFLAG > ${DATA_PATH}/common/connectType.txt
echo 0 > ${DATA_PATH}/common/rdpReturnFlag.txt

#if Anonymous login
if [ ${UMUTE} = "1" ]; then
ALSA="/sound:sys:alsa /microphone:sys:alsa"
else
ALSA=""
fi


if [ ${BOOL_USB} = "1" ]; then
#USB="/drive:home,/media"
USB=""
/home/mybin/redirection_on &
else
/home/mybin/getUsbName.sh
USBNAME=$(sed -n 1p /a.txt | tr -d "\n")
USB="/drive:${USBNAME},/media"
rm /a.txt -rf
fi	

if [ ${BOOL_MULT} = "1" ]; then
MULT="/multimedia:decoder:ffmpeg"
else
MULT=""
fi

if [ ${BOOT_BACKGROUND} = "0" ]; then
BG="-wallpaper"
else
BG=""
fi


sync
#set resoultion
RFILE=/sys/class/graphics/fb0/screen_info
XRES=$(sed -n 1p ${RFILE} | tr -d "\n")
XRES=${XRES##*:}

YRES=$(sed -n 2p ${RFILE} | tr -d "\n")
YRES=${YRES##*:}
VYRES=$[YRES*2]

PIC_DIGITS=$(sed -n 1p /opt/CC500/firstdlg/picDigits.txt |tr -d "\n")

#/usr/bin/fbset -fb /dev/fb2 -g ${XRES} ${YRES} ${XRES} ${VYRES} ${PIC_DIGITS}
#/usr/bin/fbset -fb /dev/fb0 -g ${XRES} ${YRES} ${XRES} ${VYRES} ${PIC_DIGITS}
FIRST_RUN=YES
#start funtion
if [ ${OLDRDP} = "1" ]; then
#	Xorg_on &
	/home/X11R6/bin/Xfbdev vt01 -br -mouse /dev/input/mice,5  -fp /home/X11R6/lib/X11/fonts/misc/ -co /home/X11R6/lib/X11/rgb &
fi
export DISPLAY=:0.0
CONST_CMD="+fonts /sec:rdp  -sec-tls -sec-nla -bitmap-cache -offscreen-cache -glyph-cache"
DRIVE="+drives"
RFX="/rfx /codec-cache:rfx /rfx-mode:image "
SND="/sound:sys:alsa,format:1,quality:high /microphone:sys:alsa,format:1,quality:high"
	rm /run/user/rdp_status.txt
#########	paint waitting image ##############
#	sleep 1	#wait for turn to the right VT
#	/home/mybin/paint /home/mybin/waitting.bmp 32
#	sleep 2	#delay for show bmp
	
#########	start rdp	     ##############
	if [ ${OLDRDP} = "0" ]; then
		#echo 3 > /sys/class/graphics/fb0/blank
		#echo 3 > /sys/class/graphics/fb2/blank
		dd if=/dev/zero of=/dev/fb0
                dd if=/dev/zero of=/dev/fb2
		/home/RemoteFx/fb0set.exe 888
		#sleep 1s
        	#echo 0 > /sys/class/graphics/fb0/blank
        	#echo 0 > /sys/class/graphics/fb2/blank
	fi
	echo "3389" > /opt/CC500/firstdlg/rdpstatus.txt
	
	RET=0
	CON_NUM=0
	if [ -n "$USERNAME" ]; then
		if [ -n "$PASSWORD" ]; then
			if [ ${OLDRDP} = "0" ]; then	
				while [ "$RET" -ne "137" -a "$CON_NUM" -lt "5" ]
				do
					/home/RemoteFx/z.exe "$USERIP" -clientName "$C_NAME" -port "$USERPORT" -user "$USERNAME" -password "$PASSWORD" -pipe /opt/data/common/rdpCtrl -broadcast -baseImg rfx -micRedirect -fileRedirect /media > /dev/ttyFIQ0 2>&1
					RET=$?
					CON_NUM=`expr $CON_NUM + 1`
				done
			else
				/home/RemoteFx/Rfx-install/bin/xfreerdp /v:$USERIP:$USERPORT /u:$USERNAME /p:$PASSWORD /w:$XRES /h:$YRES $CONST_CMD $SND $DRIVE $RFX > /dev/ttyFIQ0 2>&1	
			fi
		else
			if [ ${OLDRDP} = "0" ]; then
                                while [ "$RET" -ne "137" -a "$CON_NUM" -lt "5" ]
                                do
					/home/RemoteFx/z.exe "$USERIP" -clientName "$C_NAME" -port "$USERPORT" -user "$USERNAME"  -pipe /opt/data/common/rdpCtrl -broadcast -baseImg rfx -micRedirect -fileRedirect /media > /dev/ttyFIQ0 2>&1
					RET=$?
                                        CON_NUM=`expr $CON_NUM + 1`
				done
			else
				/home/RemoteFx/Rfx-install/bin/xfreerdp /v:$USERIP:$USERPORT /u:$USERNAME /w:$XRES /h:$YRES $CONST_CMD $SND $DRIVE $RFX > /dev/ttyFIQ0 2>&1	
			fi
		fi
	else
		if [ ${OLDRDP} = "0" ]; then
                        while [ "$RET" -ne "137" -a "$CON_NUM" -lt "5" ]
                        do
				/home/RemoteFx/z.exe "$USERIP" -clientName "$C_NAME" -port "$USERPORT" -pipe /opt/data/common/rdpCtrl -broadcast -baseImg rfx -micRedirect -fileRedirect /media > /dev/ttyFIQ0 2>&1
				RET=$?
                                CON_NUM=`expr $CON_NUM + 1`
			done
		else
			/home/RemoteFx/Rfx-install/bin/xfreerdp /v:$USERIP:$USERPORT /w:$XRES /h:$YRES $CONST_CMD $SND $DRIVE $RFX > /dev/ttyFIQ0 2>&1
		fi
	fi

	echo "0" > /opt/CC500/firstdlg/rdpstatus.txt
	
	if [ ${OLDRDP} = "0" ]; then
		/home/RemoteFx/fb0set.exe 8888
	fi
	echo "stop..............................................................." 

if [ ${OLDRDP} = "1" ]; then
	/home/mybin/process.sh stop Xfbdev
fi

if [ ${BOOL_USB} = "1" ]; then
/home/mybin/redirection_off
fi
sync
