#!/bin/sh

SELECT=$(sed -n 1p /opt/CC500/firstdlg/controlpan/networkselect/selectlogo.txt | tr -d "\n")
WIRELINEMODEL=$(sed -n 1p /opt/CC500/firstdlg/controlpan/networkselect/wired/ipinfo.txt | tr -d "\n")

eht0_actived=`ifconfig  | grep eth0`
if [ "${eht0_actived}" = "" ];then
  ifconfig eht0 up
  sleep 2s
fi

##########################################################
# If wireline IP was got, then just return, otherwise do get IP address
##########################################################
IP=`/sbin/ifconfig eth0 | grep "inet addr"  | awk -F ':' '{print $2}' | sed -n '1p' | cut -d " " -f1`
if [ "${IP}" != "" ];then
  return
fi

##########################################################
# Do get IP address
##########################################################
. /opt/CC500/firstdlg/controlpan/networkselect/tryObtainIP.sh
if [ "$SELECT" = "wireline" ];then
  /sbin/ifWlanXDown
  /sbin/ifconfig eth0 up
  sleep 2s
  if [ "$WIRELINEMODEL" = "auto" ];then
    obtDanamicIP2Interface eth0 &
  else
    obtStaticIP2eth0 &
  fi
fi

